CPUFREQD(8)

NAME
cpufreqd - intelligently monitor and manipulate CPU frequency

SYNOPSIS
cpufreqd [-Dhv] [-f filename] [-V verbosity]

DESCRIPTION
cpufreqd is used to monitor the status of the battery and adjust the frequency of the CPU accordingly in order to preserve battery power while providing optimal performance. The behaviour of the daemon is fully configurable. Logs are reported through syslogd.

PARAMETERS

-D, --no-daemon
    stay in foreground (used to debug).

-f filename, --file=filename
    Specify the configuration file to read. The default is /etc/cpufreqd.conf.

-h, --help
    Display command line help.

-v, --version
    Display the version number of the daemon.

-V, --verbosity
    verbosity level from 0 (less verbose) to 7 (most verbose). Default verbosity is 4

SIGNALS

SIGHUP
    This lets cpufreqd perform a re-initialization. The configuration file (default is /etc/cpufreqd.conf) will be re-read and probes re-done.

SIGINT, SIGTERM
    cpufreqd will terminate.

EXAMPLES

/usr/sbin/cpufreqd -D

NOTES

Some ACPI implementations are very cpu-consuming when reading the info file of system batteries. Cpufreqd implements a simple workaround that avoids reading that file except on initialization or reinitialization. This has the effect of needing to send an HUP signal if inserting a new battery, otherwise battery measurement won't be correct.

FILES

/sys/devices/system/cpu/cpu*/cpufreq
    2.6 kernel cpu frequency interface

/proc/cpufreq
    2.4 kernel cpu frequency interface

/proc/apm
    kernel power management interface (APM)

/proc/acpi
    kernel power management interface (ACPI)

/proc/pmu
    kernel power management interface (PMU)

/etc/cpufreqd.conf
    cpufreqd configuration file

SEE ALSO
cpufreqd.conf(5),syslogd(8)

BUGS
Multiple CPUs are not supported. Battery can only be specified in percent, not in minutes remaining.

AUTHOR

George Staikos <staikos@0wned.org>

Mattia Dongili <dongili@supereva.it>

Rene Rebe <rene@rocklinux.org>